using System;

namespace ConsoleApp3
{
    class Program
    {
        static int[] PrebacivanjeUint( string[] niz)
		{
			int[] noviNiz = new int[ niz.Length ];
			for( int i = 0; i < niz.Length; i++ )
			{
				noviNiz[i] = Convert.ToInt32(niz[i]);
			}
			return noviNiz;
		}
        static void Main( string[] args )
        {
            int[] nm = PrebacivanjeUint(Console.ReadLine().Split());
			int[,] n = new int[ nm[ 0 ], 2 ];
			int[] limiti = new int[ 2 ];
			for( int i = 0; i < nm[0]; i++ )
			{
				limiti = PrebacivanjeUint( Console.ReadLine().Split() );
				n[ i, 0 ] = limiti[ 0 ];
				n[ i, 1 ] = limiti[ 1 ];
			}
			int[,] pitanja = new int[nm[1], 3 ];
			int[] podaci = new int[ 3 ];
			for( int i = 0; i < nm[ 1 ] ; i++ )
			{
				podaci = PrebacivanjeUint( Console.ReadLine().Split() );
				pitanja[ i, 0 ] = podaci[ 0 ];
				pitanja[ i, 1 ] = podaci[ 1 ];
				pitanja[ i, 2 ] = podaci[ 2 ];
			}
			for( int i = 0; i < nm[ 1 ]; i++ )
			{
				int brojVaga = 0;
				for( int j = pitanja[i,0]-1; j < pitanja[i,1]; j++ )
				{
					if( pitanja[i,2] >= n[j,0] && pitanja[i,2] <= n[j,1] )
					{
						brojVaga++;
					}
				}
				Console.WriteLine(brojVaga);
			}
        }
    }
}